# $Revision: 1.25 $, $Date: 2004/09/20 22:08:13 $
Summary:	An X Window System based file manager
Summary(de):	X-File-Manager
Summary(es):	Administrador de archivos
Summary(fr):	Gestionnaire de fichiers sous X
Summary(id):	File manager yang berbasiskan X Window System
Summary(is):	Skrastjri fyrir X gluggakerfi
Summary(pl):	Zarzdca plikw pod X Window System
Summary(pt_BR):	Gerenciador de arquivos
Summary(sk):	Sprvca sborov pre systm X Window
Summary(tr):	X dosya yneticisi
Summary(zh_CN):	 X Window ϵͳļ
Name:		xfm
Version:	1.3.2
Release:	18
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tar.gz
# Source0-md5:	e954ca08ef323d4fa0ec1ac01482b6f9
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-1.3.2-nobr.patch
Patch1:		%{name}-1.3.2-flags.patch
Patch2:		%{name}-1.3.2-string.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
xfm is a file manager for the X Window System. xfm supports moving
around the directory tree, multiple windows, moving/copying/deleting
files, and launching programs.

%description -l de
xfm ist ein Datei-Manager fr X-Window, der die Manipulation von
Dateien und Verzeichnissen auf intuitive, leicht verstndliche Weise
gestattet und auerdem Integration mit anderen Programmen ermglicht."

%description -l es
xfm es un administrador de archivos para X Window que permite
manipular archivos y directorios de una manera intuitiva y fcil de
entender, as como permite su extensin con otros programas.

%description -l fr
xfm est un gestionnaire de fichiers pour X Window vous permettant de
manipuler des fichiers et des rpertoires de faon intuitive et facile
 comprendre, vous pouvez aussi l'tendre avec d'autres programmes.

%description -l id
xfm adalah file manager untuk X Window System. xfm bisa digunakan
untuk berpindah-pindah direktori, mendukung beberapa window,
memindahkan/ mengcopy/menghapus file, dan menjalankan program.

%description -l is
xfm er skrastjri fyrir X gluggakerfi. Me xfm er hgt a flakka um
skrarkefi, opna marga glugga samtmis, flytja/afrita/urrka t skrr
og rsa forrit.

%description -l pl
xfm to program do zarzdzania plikami pod X Window System. Obsuguje
chodzenie po drzewie katalogw, wiele okienek, przenoszenie/
/kopiowanie/kasowanie plikw oraz uruchamianie programw.

%description -l pt_BR
O xfm  um gerenciador de arquivos para X Window que permite manipular
arquivos e diretrios de uma maneira intuitiva e fcil de entender,
assim como permite sua extenso com outros programas.

%description -l sk
xfm je sprvca sborov pre systm X Window. xfm podporuje pohybovanie
sa po adresrovej truktre, viacero okien,
presvanie/koprovanie/mazanie sborov a sptanie programov.

%description -l tr
xfm yardmyla dosyalar ve dizinleri kolayca anlalabilir bir
arabirim yardmyla kontrol edebilirsiniz.

%description -l zh_CN
#~ "ƶ//ɾļ
xfm  X Window ϵͳļXfm ֧Ŀ¼ƶڡ

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
%{__make} Makefiles
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	XFMLIBDIR=%{_datadir}/%{name} \
	LIBDIR="%{_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	XFMLIBDIR=%{_datadir}/%{name} \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xfm.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xfm.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README-1.2 TODO
%attr(755,root,root) %{_bindir}/xfm
%attr(755,root,root) %{_bindir}/xfmtype
%attr(755,root,root) %{_bindir}/xfm.install
%{_appdefsdir}/Xfm
%dir %{_datadir}/xfm
%{_datadir}/xfm/dot.xfm
%{_datadir}/xfm/bitmaps
%{_datadir}/xfm/pixmaps
%{_desktopdir}/xfm.desktop
%{_pixmapsdir}/xfm.png
%{_mandir}/man1/xfm.1x*
%{_mandir}/man1/xfmtype.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfm.spec,v $
Revision 1.25  2004/09/20 22:08:13  ankry
- rel. 18

Revision 1.24  2004/04/07 23:17:46  qboosh
- moved to default prefix, switched to vfolders, lib64 fix; release 17

Revision 1.23  2004/04/07 19:50:17  adamg
- pass CC and LIBDIR to make

Revision 1.22  2004/04/07 16:29:34  adamg
- Release 16 to allow update from Ra

Revision 1.21  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.20  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:28:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/12/02 11:06:29  ankry
- massive cleaning

Revision 1.17  2002/11/17 01:33:07  kloczek
- merge old BeroLinux and Conectiva translations.

Revision 1.16  2002/11/17 01:19:46  ankry
- desktop converted to UTF8, added icon, new %%doc, cleaning - release 15

Revision 1.15  2002/07/11 00:11:08  ankry
- replaced wmconfig file by desktop file

Revision 1.14  2002/07/09 08:49:44  ankry
- added some translations from RH

Revision 1.13  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.12  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/23 14:56:27  qboosh
- pl description

Revision 1.8  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- stripping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 13)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/descriptions
- club with glibc2.1 stick

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- removed the old config stuff we had since 2.1 :-)
- spec file cleanups

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
